Subject: Re: [PATCH net-next,0/3] cleanup of qdisc offload function

From: Jakub Kicinski <[email-masked]>
Date: Tue, 16 Aug 2022 11:13:05 -0700

On Tue, 16 Aug 2022 11:32:03 +0800 shaozhengchao wrote:
> On 2022/8/16 11:10, Jakub Kicinski wrote:
> > On Tue, 16 Aug 2022 10:04:20 +0800 Zhengchao Shao wrote:  
> >> Some qdiscs don't care return value of qdisc offload function, so make
> >> function void.  
> > 
> > How many of these patches do you have? Is there a goal you're working
> > towards? I don't think the pure return value removals are worth the
> > noise. They don't even save LoC:
> > 
> >   3 files changed, 9 insertions(+), 9 deletions(-)  
>
> 	Thank you for your reply. Recently I've been studying the kernel code 
> related to qdisc, and my goal is to understand how qdisc works. If the 
> code can be optimized, I do what I can to modify the optimization. Is it 
> more appropriate to add warning to the offload return value? I look 
> forward to your reply. Thank you.

Understood. Please stop sending the cleanups removing return values
unless the patches materially improve the code.